Create a department

This API allows you to create a new department.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-account-uk.acefone.com/v1/department \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "ring_strategy": "simultaneous"
}
'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to create a new department:

Variable NameDescriptionData Type
name*Name for department.String
description*Description for department.String
ring_strategy*Order in which the agents under this department will receive calls.String
timeout_dest_typeDestination type where the call lands in case of timeout.String
timeoutTime in seconds for which the call tries to connect for each agent in this department.Array of strings
destinationNumber of the agent in the department where the call should land. Example: extension|eid, eid: agents's eid eg: 050160000Array of strings

Allowed Ring Strategies

NameDescription
simultaneousCalls will ring one after the other.
order_byCalls will ring in an order or sequence in which agents are added.
randomCalls ring agents in random order.
round_robinRound Robin with memory, remember where we left off last ring pass.

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string
required

Name of the department.

string
required

Description of the department.

string
enum
required

Order in which the agents under this department will receive calls.

Allowed:
string
enum

Destination type where the call lands in case of timeout.

timeout
array of strings

Time in seconds for which the call tries to connect for each agent in this department.

timeout
destination
array of strings

Number of the agent in the department where the call should land. Example: extension||eid, eid: agents's eid eg: 050160000

destination
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json